stk (4.6.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Feb 2020 18:57:28 +0100

stk (4.6.1+dfsg-2) experimental; urgency=medium

  * Team upload.
  * debian/control: Fix version in Breaks+Replaces.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Feb 2020 21:06:01 +0100

stk (4.6.1+dfsg-1) experimental; urgency=medium

  * Team upload

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org
  * Drop references to autoreconf: implied by debhelper compat 10
  * Fail to build if files are missing in packages
  * Refresh patches

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field

  [ Dennis Braun ]
  * New upstream version 4.6.1+dfsg
  * d/control:
    + Bump debhelper-compat to 12
    + Bump standards version to 4.5.0
    + Bump package name for SOVERSION change
    + Use https protocol for the homepage
    + stk-doc: Add Multi-Arch: foreign
    + Drop autotools-dev from B-D
    + Set RRR: no
  * d/libstk0-dev.examples: Disable for now
  * d/rules: Drop dh arguments "--with autotools_dev --parallel"

  [ Sebastian Ramacher ]
  * debian/stk-doc.doc-base: Update documentation path
  * debian/control:
    - Remove obsolete Pre-Depends
    - Set correct section for libstk
  * debian/: Transition to libstk-dev
    libstk0 was removed from the archive ages ago.

 -- Dennis Braun <d_braun@kabelmail.de>  Sat, 01 Feb 2020 18:35:05 +0100

stk (4.5.2+dfsg-5) unstable; urgency=medium

  * Use debian RAWWAVE_PATH in stk-demo. (Closes: #858895)
  * Fix link targets for RtAudio and RtMidi header files (Closes: #858957)

 -- Felipe Sateler <fsateler@debian.org>  Wed, 29 Mar 2017 10:39:43 -0300

stk (4.5.2+dfsg-4) unstable; urgency=medium

  [ Petter Reinholdtsen ]
  * Replace stk menu with desktop file. (Closes: #708791)

  [ Felipe Sateler ]
  * Use the dpkg makefile snippet to get the architecture
  * Bump debhelper compat to 10

 -- Felipe Sateler <fsateler@debian.org>  Sat, 24 Dec 2016 15:15:56 -0300

stk (4.5.2+dfsg-3) unstable; urgency=medium

  * Use gbp pq for patch handling
  * Add include paths for newer rtaudio/rtmidi (Closes: #828950, #828954)
  * Do not override user-supplied CXXFLAGS

 -- Felipe Sateler <fsateler@debian.org>  Sat, 23 Jul 2016 11:34:09 -0400

stk (4.5.2+dfsg-2) unstable; urgency=medium

  [ Felipe Sateler ]
  * Do not remove Rt{Audio,Midi}, they are not installed anymore
  * Bump standards version
  * Only build demo program when realtime is enabled (Closes: #815509)
  * Remove stale files on clean

  [ Alexis Bienvenüe ]
  * Fix order of .o files (Closes: #822566)

 -- Felipe Sateler <fsateler@debian.org>  Thu, 12 May 2016 00:09:16 -0300

stk (4.5.2+dfsg-1) unstable; urgency=medium

  * New upstream release
    - Repack, add asio files to Files-Excluded. Closes: #823316
    - Drop 0006-Install-missing-include-files-SKINI.msg-and-SKINI.tb.patch,
      not needed anymore
  * Add upstream patch to fix SKINI renaming
  * Build doxygen docs on -indep targets.

 -- Felipe Sateler <fsateler@debian.org>  Wed, 11 May 2016 21:25:54 -0300

stk (4.5.0-3) unstable; urgency=medium

  * Use autotools_dev again to get up-to-date config.{sub,guess}

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Dec 2015 22:35:10 -0300

stk (4.5.0-2) unstable; urgency=medium

  * Release to unstable
  * Install missing include files SKINI.msg and SKINI.tbl (Closes: #805549)
  * Do not install Rt{Audio,Midi} files. (Closes: #750453)
  * Remove RtError link, that file is gone

 -- Felipe Sateler <fsateler@debian.org>  Thu, 10 Dec 2015 21:05:48 -0300

stk (4.5.0-1) experimental; urgency=medium

  * New upsteam release
  * Refresh patches.
  * Do not build static library as we do not ship it
  * Use dh-autoreconf to rebuild configure and friends
  * Rename library package for new soname
  * Fix install target for new soname scheme

 -- Felipe Sateler <fsateler@debian.org>  Fri, 27 Nov 2015 20:40:04 -0300

stk (4.4.4-6) unstable; urgency=medium

  * Team upload.
  * Rename packages for GCC 5 transition. (Closes: #799649)
  * debian/control:
    - Remove obsolete Conflicts and Replaces.
    - Bump Standards-Version to 3.9.6
  * debian/*.dirs: Removed, no longer needed.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 21 Sep 2015 19:34:34 +0200

stk (4.4.4-5) unstable; urgency=medium

  * Prepare for new rtaudio and rtmidi

 -- Felipe Sateler <fsateler@debian.org>  Mon, 09 Jun 2014 17:37:22 -0400

stk (4.4.4-4) unstable; urgency=low

  * Remove stale delme file
  * Do not build stk demo on non-linux archs. Closes: #728079

 -- Felipe Sateler <fsateler@debian.org>  Wed, 30 Oct 2013 12:41:12 -0300

stk (4.4.4-3) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 09 Jul 2013 22:32:48 +0100

stk (4.4.4-2) experimental; urgency=low

  [ Felipe Sateler ]
  * Fix Typo: RAWWAVES -> RAWWAVE_PATH
  * Build shared library
  * File endian.h has moved to the root directory
  * Create demo Release folder, avoids build failure on git checkout
  * Do not patch generated makefiles, save a copy to restore at clean
  * Move aside RtAudio and RtMidi headers, they confuse the compiler.
    Closes: #707473.
  * Add myself to uploaders
  * Depend on tk, not tk8.4

  [ Alessio Treglia ]
  * Refresh patches
  * Fix VCS URLs.
  * Bump Standards.

 -- Felipe Sateler <fsateler@debian.org>  Mon, 20 May 2013 14:26:15 -0400

stk (4.4.4-1) experimental; urgency=low

  * New upstream release.
  * Bump {build-,}dependencies on rtaudio,rtmidi.
  * Bump debhelper to 9.
  * Refresh patches.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 03 Sep 2012 19:21:17 +0200

stk (4.4.3-2) unstable; urgency=low

  [ Felipe Sateler ]
  * Create object destination directory if not existant
  * Use autotools-dev helper instead of manually updating config.{sub,guess}
  * Use correct invocation to pass the rawwave path, also fix the destination

  [ Alessio Treglia ]
  * Don't compile local copies of rt{audio,midi} objects, link against
    the system-wide ones instead.
  * Update debian/copyright.
  * Add librt{audio,midi}-dev on libstk0-dev's Depends field (whenever
    available) and set up symbolic links properly to avoid distributing
    duplicate copies of Rt{Audio,Error,Midi}.h.
  * Add Multi-Arch support.

 -- Alessio Treglia <alessio@debian.org>  Tue, 24 Jan 2012 09:15:32 +0100

stk (4.4.3-1) unstable; urgency=low

  * New upstream release:
    - changed SINT24 to be lower 3 bytes of 32-bit word
    - bug fixes to vectorized tick functions in Effects classes
    - updated versions of RtAudio and RtMidi
    - fix to ADSR bugs
    - updates to the internal argument checking and reporting scheme
    - updates to Bowed class (thanks to Esteban Maestre!)
    - fixes for 24-bit support in FileRead and FileWrite
    - added WAVE_FORMAT_EXTENSIBLE support in FileWrite
    - added sample rate variable reading and writing for MAT-files in
      FileRead and FileWrite
  * Refresh patches.
  * Switch to format 3.0 (quilt) format.
  * Add .gitignore file.
  * Add debian/gbp.conf file.
  * Change my email address.
  * Update debian/copyright file.
  * Replace negated list of architectures with linux-any (Closes: #634627)
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 01 Sep 2011 13:23:45 +0200

stk (4.4.2-5) unstable; urgency=low

  * debian/rules: Consider each line executed in a subshell, really
    Closes: #569052

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 11:09:24 +0200

stk (4.4.2-4) unstable; urgency=low

  * Install config.{guess,sub} into the right location (Closes: #569052).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 09 Apr 2010 03:09:31 +0200

stk (4.4.2-3) unstable; urgency=low

  * Drop symbols file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Mon, 08 Feb 2010 11:37:05 +0100

stk (4.4.2-2) unstable; urgency=low

  * Change maintainer to Debian Multimedia Maintainers.
  * Add Vcs-* tags.
  * Disable realtime support on hurd,kfreebsd architecturess; providing ALSA
    and OSS support for those archs is now unnecessary.
  * Update config.{guess,sub} before calling configure script to prevent FTBFS
    on AVR32 (Closes: #568812).
  * Add symbols file.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sun, 07 Feb 2010 15:18:48 +0100

stk (4.4.2-1) unstable; urgency=low

  * Adopting this (Closes: #547005).
  * New upstream release (Closes: #427294).
  * debian/control: versioned dependency of libstk0-dev on libstk0c2a, thanks
    to Ilya Barygin for the patch.
  * debian/control:
    - Replace Build-Depends on libjack0.100.0-dev with libjack-dev;
      Closes: #527437.
    - Set DMUA to yes.
    - Move libstk0-dev to libdevel section.
    - Move libstk0-doc to doc section.
    - Improve descriptions.
    - Replace build-dependendency on libreadline5-dev with libreadline-dev;
      Closes: #553861.
  * Swtich to debhelper 7 and quilt.
  * Drop cdbs.
  * Bump debian/compat.
  * Refresh and rename 01_makefile.patch -> 01-makefile.patch,
    drop all other patches, now unnecessary.
  * debian/libstk0-dev: Don't install static library file.
  * Fix stk-doc.doc-base as per spec.
  * debian/copyright:
    - Adjust format according to Debian DEP-5.
    - Add license text.
  * Install ReleaseNotes as upstream's changelog.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 06 Feb 2010 11:02:11 +0100

stk (4.2.0-10) unstable; urgency=low

  * QA upload.
  * Include patch from Martin Michlmayr to fix FTBFS with GCC 4.4.
    (Closes: #504965)
  * debian/control:
    + Make QA the maintainer.
    + Standards Version now 3.8.4 (No changes needed).
    + Add Homepage field.
    + Add ${misc:Depends} to all packages.
    + Build-Depend on debhelper 5 and bump compat to 5.
    + Add ${binary:Version} to libstk dependencies.
  * debian/copyright: Add (C) to copyright.
  * debian/stk.menu: Move to Applications category

 -- Kumar Appaiah <akumar@debian.org>  Sat, 30 Jan 2010 23:53:35 -0600

stk (4.2.0-9.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.3 (Closes: #417704).

 -- Luk Claes <luk@debian.org>  Sat, 15 Mar 2008 16:55:36 +0000

stk (4.2.0-9.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: fixed bashism (use of {,}). Closes: #378528.
  * Fixed FTBFS with gcc 4.3 (patch from Martin Michlmayr added
    as 01_includes_gcc43.patch). Closes: #417704.
  * Fixed debian/watch to read
    http://ccrma.stanford.edu/software/stk/download.html instead of directly
    trying to list the content of
    http://ccrma.stanford.edu/software/stk/release/. Closes: #449826.
  * Investigated FTBFS when built twice in a row. It was actually caused
    by cdbs' bug #387103, fixed in cdbs 0.4.48. I'm not build-depending
    on cdbs >= 0.4.48 since this bug doesn't prevent to build the package.
    Closes: #424233.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 16 Jan 2008 12:10:29 +0100

stk (4.2.0-9) unstable; urgency=low

  * acknowledged NMU
  * Standards version to 3.7.2

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 30 May 2006 11:33:39 +0200

stk (4.2.0-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Medium-urgency upload for RC bugfix
  * Rename libstk0c2 to libstk0c2a for the C++ mt allocator ABI transition,
    and conflict/replace libstk0c2 accordingly (closes: #339267).

 -- Steve Langasek <vorlon@debian.org>  Mon,  5 Dec 2005 16:39:10 -0800

stk (4.2.0-8) unstable; urgency=low

  * Added examples to libstk0-dev
  * Compiling with -O2 instead of -O3 (problems on mk68)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 15 Sep 2005 09:12:22 +0200

stk (4.2.0-7) unstable; urgency=low

  * C++ transicion, renamed libstk0 to libstk0c2
  * update to libreadline5

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 18 Jul 2005 11:11:05 +0200

stk (4.2.0-6) unstable; urgency=low

  * Fixed build depends on libasound2-dev

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sat,  9 Jul 2005 12:24:44 +0200

stk (4.2.0-5) unstable; urgency=low

  * recompiled against new JACK (closes: #317224)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Fri,  8 Jul 2005 11:26:14 +0200

stk (4.2.0-4) unstable; urgency=low

  * Removed config.{sub,guess} leftovers (closes: #304428)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Tue, 19 Apr 2005 10:54:50 +0200

stk (4.2.0-3) unstable; urgency=low

  * Added autotools dev dependecy (closes: #300940)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Wed, 23 Mar 2005 14:06:52 +0100

stk (4.2.0-2) unstable; urgency=low

  * updated config.guess,sub to recent version (closes: #299322)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 21 Mar 2005 15:57:11 +0100

stk (4.2.0-1) unstable; urgency=low

  * New upstream version
  * Fixed stk.links file in order to remove rthe dangling symlink of
    STKDemo (closes: #268013)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 11 Oct 2004 11:58:57 +0200

stk (4.1.3-3) unstable; urgency=low

  * changed link line from -Wl,shared to -shared

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Mon, 23 Aug 2004 18:06:35 +0200

stk (4.1.3-2) unstable; urgency=low

  * Added -fPIC to shared library linker flags (hoping to fix the
    compilation on hppa)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 19 Aug 2004 19:10:10 +0200

stk (4.1.3-1) unstable; urgency=low

  * Initial Release (closes: #197053).

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Thu, 22 Apr 2004 10:55:08 +0200

